%global momorel 4

Name: libmusicbrainz
Summary: Library for accessing MusicBrainz servers

Version: 2.1.5
Release: %{momorel}m%{?dist}
License: LGPL
Group: System Environment/Libraries
URL: http://www.musicbrainz.org/

Source0: ftp://ftp.musicbrainz.org/pub/musicbrainz/%{name}-%{version}.tar.gz 
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch1: libmusicbrainz-2.1.5-gcc43.patch
BuildPrereq: libstdc++-devel
BuildPrereq: expat-devel
Obsoletes: musicbrainz musicbrainz-devel

%description
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%package devel
Summary: Headers for developing programs that will use libmusicbrainz
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libstdc++-devel
Obsoletes: musicbrainz-devel

%description devel
This package contains the headers that programmers will need to develop
applications which will use libmusicbrainz.

%prep
%setup -q

%patch1 -p1 -b .gcc43~

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall
find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/*pc
%{_includedir}/musicbrainz
%{_libdir}/libmusicbrainz.a
%{_libdir}/libmusicbrainz.so

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.1.5-4m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.1.5-3m)
- %%NoSource -> NoSource

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.1.5-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Wed Oct 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.1.5-1m)
- update to 2.1.5

* Fri Apr  6 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.1.4-2m)
- increase release for upgrading from STABLE_3

* Mon Sep 18 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.1.4-1m)
- update to 2.1.4
- [SECURITY] CVE-2006-4197
- http://secunia.com/cve_reference/CVE-2006-4197/
- http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-4197

* Sat Aug 26 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.1.2-4m)
- rebuild against expat-2.0.0-1m

* Wed Aug 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.1.2-3m)
- delete libtool library

* Thu May 11 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.1.2-2m)
- fukkatsu libmusicbraiz.a/libmusicbrainz.la

* Wed Apr 19 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.1.1-1m)
- first import from FC5
